﻿--[[
 RolePlay Event Manager GUI - Localization
 -------------------------------------
  Code: Movix - Conseil des Ombres - EU
  
]]


if ( GetLocale() == "enUS" ) then
GEM3UI_CLASS_STRINGS = {
 ["Druid"]      = "DRUID",
 ["Hunter"]     = "HUNTER",
 ["Mage"]       = "MAGE",
 ["Paladin"]    = "PALADIN",
 ["Priest"]     = "PRIEST",
 ["Rogue"]      = "ROGUE",
 ["Shaman"]     = "SHAMAN",
 ["Warlock"]    = "WARLOCK",
 ["Warrior"]    = "WARRIOR",
 ["Hero"]       = "HERO",
 ["Unknown"]    = 0,

 ["DRUID"]      = "Druid",
 ["HUNTER"]     = "Hunter",
 ["MAGE"]       = "Mage",
 ["PALADIN"]    = "Paladin",
 ["PRIEST"]     = "Priest",
 ["ROGUE"]      = "Rogue",
 ["SHAMAN"]     = "Shaman",
 ["WARLOCK"]    = "Warlock",
 ["WARRIOR"]    = "Warrior",
 ["HERO"]       = "Hero",
}
end

if ( GetLocale() == "frFR" ) then
GEM3UI_CLASS_STRINGS = {
 ["Druide"]      = "DRUID",
 ["Druidesse"]   = "DRUID",
 ["Chasseur"]    = "HUNTER",
 ["Chasseresse"] = "HUNTER",
 ["Mage"]        = "MAGE",
 ["Paladin"]     = "PALADIN",
 ["Prêtre"]      = "PRIEST",
 ["Prêtresse"]   = "PRIEST",
 ["Voleur"]      = "ROGUE",
 ["Voleuse"]     = "ROGUE",
 ["Chaman"]      = "SHAMAN",
 ["Chamane"]     = "SHAMAN",
 ["Démoniste"]   = "WARLOCK",
 ["Guerrier"]    = "WARRIOR",
 ["Guerrière"]   = "WARRIOR",
 ["Héro"]        = "HERO",
 ["Héroine"]     = "HERO",
 ["Inconnu"]     = 0,

 ["DRUID"]       = "Druide",
 ["HUNTER"]      = "Chasseur",
 ["MAGE"]        = "Mage",
 ["PALADIN"]     = "Paladin",
 ["PRIEST"]      = "Prêtre",
 ["ROGUE"]       = "Voleur",
 ["SHAMAN"]      = "Chaman",
 ["WARLOCK"]     = "Démoniste",
 ["WARRIOR"]     = "Guerrier",
 ["HERO"]        = "Héro",
}
end

if ( GetLocale() == "deDE" ) then
GEM3UI_CLASS_STRINGS = {
 ["Druide"]      = "DRUID",
 ["Druidin"]     = "DRUID",
 ["Jäger"]       = "HUNTER",
 ["Jägering"]    = "HUNTER",
 ["Magier"]      = "MAGE",
 ["Magierin"]    = "MAGE",
 ["Paladin"]     = "PALADIN",
 ["Priester"]    = "PRIEST",
 ["Priesterin"]  = "PRIEST",
 ["Schurke"]     = "ROGUE",
 ["Schurkin"]    = "ROGUE",
 ["Schamane"]    = "SHAMAN",
 ["Schamanin"]   = "SHAMAN",
 ["Hexenmeister"]= "WARLOCK",
 ["Hexenmeisterin"]= "WARLOCK",
 ["Krieger"]     = "WARRIOR",
 ["Kriegerin"]   = "WARRIOR",
 ["Held"]        = "HERO",
 ["Heldin"]      = "HERO",
 ["Unbekannt"]     = 0,

 ["DRUID"]       = "Druide",
 ["HUNTER"]      = "Jäger",
 ["MAGE"]        = "Magier",
 ["PALADIN"]     = "Paladin",
 ["PRIEST"]      = "Priester",
 ["ROGUE"]       = "Shurke",
 ["SHAMAN"]      = "Schamane",
 ["WARLOCK"]     = "Hexenmeister",
 ["WARRIOR"]     = "Krieger",
 ["HERO"]        = "Held",
}
end

---- EVERYTHING FROM HERE MUST BE LOCALIZED !!!!!

if ( GetLocale() == "esES" ) or ( GetLocale() == "esMX" )  then
GEM3UI_CLASS_STRINGS = {
 ["Druid"]      = "DRUID",
 ["Hunter"]     = "HUNTER",
 ["Mage"]       = "MAGE",
 ["Paladin"]    = "PALADIN",
 ["Priest"]     = "PRIEST",
 ["Rogue"]      = "ROGUE",
 ["Shaman"]     = "SHAMAN",
 ["Warlock"]    = "WARLOCK",
 ["Warrior"]    = "WARRIOR",
 ["Hero"]       = "HERO",
 ["Unknown"]    = 0,

 ["DRUID"]      = "Druid",
 ["HUNTER"]     = "Hunter",
 ["MAGE"]       = "Mage",
 ["PALADIN"]    = "Paladin",
 ["PRIEST"]     = "Priest",
 ["ROGUE"]      = "Rogue",
 ["SHAMAN"]     = "Shaman",
 ["WARLOCK"]    = "Warlock",
 ["WARRIOR"]    = "Warrior",
 ["HERO"]       = "Hero",
}
end

if ( GetLocale() == "koKR" ) then
GEM3UI_CLASS_STRINGS = {
 ["Druid"]      = "DRUID",
 ["Hunter"]     = "HUNTER",
 ["Mage"]       = "MAGE",
 ["Paladin"]    = "PALADIN",
 ["Priest"]     = "PRIEST",
 ["Rogue"]      = "ROGUE",
 ["Shaman"]     = "SHAMAN",
 ["Warlock"]    = "WARLOCK",
 ["Warrior"]    = "WARRIOR",
 ["Hero"]       = "HERO",
 ["Unknown"]    = 0,

 ["DRUID"]      = "Druid",
 ["HUNTER"]     = "Hunter",
 ["MAGE"]       = "Mage",
 ["PALADIN"]    = "Paladin",
 ["PRIEST"]     = "Priest",
 ["ROGUE"]      = "Rogue",
 ["SHAMAN"]     = "Shaman",
 ["WARLOCK"]    = "Warlock",
 ["WARRIOR"]    = "Warrior",
 ["HERO"]       = "Hero",
}
end

if ( GetLocale() == "zhCN" ) or ( GetLocale() == "zhTW" ) then
GEM3UI_CLASS_STRINGS = {
 ["Druid"]      = "DRUID",
 ["Hunter"]     = "HUNTER",
 ["Mage"]       = "MAGE",
 ["Paladin"]    = "PALADIN",
 ["Priest"]     = "PRIEST",
 ["Rogue"]      = "ROGUE",
 ["Shaman"]     = "SHAMAN",
 ["Warlock"]    = "WARLOCK",
 ["Warrior"]    = "WARRIOR",
 ["Hero"]       = "HERO",
 ["Unknown"]    = 0,

 ["DRUID"]      = "Druid",
 ["HUNTER"]     = "Hunter",
 ["MAGE"]       = "Mage",
 ["PALADIN"]    = "Paladin",
 ["PRIEST"]     = "Priest",
 ["ROGUE"]      = "Rogue",
 ["SHAMAN"]     = "Shaman",
 ["WARLOCK"]    = "Warlock",
 ["WARRIOR"]    = "Warrior",
 ["HERO"]       = "Hero",
}
end

if ( GetLocale() == "ruRU" ) then
GEM3UI_CLASS_STRINGS = {
 ["Druid"]      = "DRUID",
 ["Hunter"]     = "HUNTER",
 ["Mage"]       = "MAGE",
 ["Paladin"]    = "PALADIN",
 ["Priest"]     = "PRIEST",
 ["Rogue"]      = "ROGUE",
 ["Shaman"]     = "SHAMAN",
 ["Warlock"]    = "WARLOCK",
 ["Warrior"]    = "WARRIOR",
 ["Hero"]       = "HERO",
 ["Unknown"]    = 0,

 ["DRUID"]      = "Druid",
 ["HUNTER"]     = "Hunter",
 ["MAGE"]       = "Mage",
 ["PALADIN"]    = "Paladin",
 ["PRIEST"]     = "Priest",
 ["ROGUE"]      = "Rogue",
 ["SHAMAN"]     = "Shaman",
 ["WARLOCK"]    = "Warlock",
 ["WARRIOR"]    = "Warrior",
 ["HERO"]       = "Hero",
}
end